| Server IP : 46.62.235.243 / Your IP : 216.73.216.217 Web Server : Apache/2.4.58 (Ubuntu) System : Linux Linkabili3Dicembre 6.8.0-100-generic #100-Ubuntu SMP PREEMPT_DYNAMIC Tue Jan 13 16:40:06 UTC 2026 x86_64 User : www-data ( 33) PHP Version : 8.1.33 Disable Function : NONE MySQL : OFF | cURL : ON | WGET : ON | Perl : ON | Python : OFF | Sudo : ON | Pkexec : OFF Directory : /proc/thread-self/root/usr/share/perl-openssl-defaults/ |
Upload File : |
#!/bin/sh
# read SONAME version from /usr/lib/<triplet>/libssl.so
DEB_HOST_GNU_TYPE=${DEB_HOST_GNU_TYPE:-$(dpkg-architecture -qDEB_HOST_GNU_TYPE)}
DEB_HOST_MULTIARCH=${DEB_HOST_MULTIARCH:-$(dpkg-architecture -qDEB_HOST_MULTIARCH)}
SOFILE=/usr/lib/${DEB_HOST_MULTIARCH}/libssl.so
OBJDUMP=${DEB_HOST_GNU_TYPE}-objdump
if [ ! -r "$SOFILE" ]; then
echo "Can't read '$SOFILE', aborting" 1>&2
exit 1
fi
if ! which "$OBJDUMP" >/dev/null 2>&1; then
echo "Can't run '$OBJDUMP', aborting" 1>&2
exit 1
fi
SONAME=$("$OBJDUMP" -p "$SOFILE" | perl -ne '/SONAME\s+libssl\.so\.(.+)/ and print $1')
if [ ! -n "$SONAME" ]; then
echo "Could not parse SONAME from the output of '$OBJDUMP' '$SOFILE', aborting" 1>&2
exit 2
fi
echo "$SONAME"